### Function

# Gimp brush_set_shape

#### Declaration [src]

    GimpBrushGeneratedShape
    gimp_brush_set_shape (
      const gchar* name,
      GimpBrushGeneratedShape shape_in
    )

#### Description [src]

Sets the shape of a generated brush.

This procedure sets the shape value for a generated brush. If called for any other type of brush, it does not succeed. The current possibilities are Circle (GIMP_BRUSH_GENERATED_CIRCLE), Square (GIMP_BRUSH_GENERATED_SQUARE), and Diamond (GIMP_BRUSH_GENERATED_DIAMOND). Other shapes are likely to be added in the future.

Available since: | 2.4

#### Parameters

`name` | `const gchar*`
| The brush name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`shape_in` | `GimpBrushGeneratedShape`
| The brush shape.

#### Return value

Returns: | `GimpBrushGeneratedShape`
| The brush shape actually assigned.